This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 495781 - gdb core dumps when examining std::string variable.
gdb core dumps when examining std::string variable.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
rawhide
i686 Linux
low Severity high
: ---
: ---
Assigned To: Jan Kratochvil
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-14 14:56 EDT by Craig Robson
Modified: 2009-04-14 18:20 EDT (History)
3 users (show)

See Also:
Fixed In Version: gdb-6.8.50.20090302-19.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-14 18:20:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Bash script that runs a testcase to show failure. (208 bytes, text/plain)
2009-04-14 14:56 EDT, Craig Robson
no flags Details
Failing output (8.53 KB, text/plain)
2009-04-14 14:57 EDT, Craig Robson
no flags Details

  None (edit)
Description Craig Robson 2009-04-14 14:56:16 EDT
Created attachment 339549 [details]
Bash script that runs a testcase to show failure.

Description of problem:

gdb core dumps when examining std::string variable.

Version-Release number of selected component (if applicable):
gdb-6.8.50.20090302-18.fc11.i586

How reproducible:
Every time.

Steps to Reproduce:
1. Run attached script.
  
Actual results:
*** glibc detected *** gdb: free(): invalid pointer: 0xbfe7f188 ***
core dump

Additional info:
I will attach a script which shows this behaviour and the gdb error info.
Comment 1 Craig Robson 2009-04-14 14:57:08 EDT
Created attachment 339550 [details]
Failing output
Comment 2 Jan Kratochvil 2009-04-14 18:20:46 EDT
Thanks, fixed.
* Wed Apr 15 2009 Jan Kratochvil <jan.kratochvil@redhat.com> - 6.8.50.20090302-19
- Fix crash on pretty-printer reading uninitialized std::string (BZ 495781).

FSF GDB post:
http://sourceware.org/ml/gdb-patches/2009-04/msg00284.html

Note You need to log in before you can comment on or make changes to this bug.